function [mu,sigma,pi] = m_step_gaussian_mixture(data,gamma)
% Performs the M-step of the EM algorithm for gaussain mixture model.
%
% @param data   : n x d matrix with rows as d dimensional data points
% @param gamma  : n x k matrix of resposibilities
%
% @return mu    : d x k matrix of maximized cluster centers
% @return sigma : cell array of maximized cluster covariances
% @return pi    : column matrix of cluster probabilities